Bug 859604 - [CFSE GUI] Upexpected code is displayed in the 'undefined method...Click here for more details' message.
[CFSE GUI] Upexpected code is displayed in the 'undefined method...Click here...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
x86_64 Linux
high Severity high (vote)
: Unspecified
: --
Assigned To: David Davis
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-22 07:07 EDT by Lijun Li
Modified: 2013-08-16 14:09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A blank search resulted in an error: "undefined method `total' for []:Array (NoMethodError)" This fix corrects the search mechanism. Conducting a blank search no longer causes an error.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:56:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upexpected code is displayed in the 'undefined method...Click here for more details' message (38.34 KB, image/png)
2012-09-22 07:09 EDT, Lijun Li
no flags Details

  None (edit)
Description Lijun Li 2012-09-22 07:07:39 EDT
Description of problem:
Upexpected code is displayed in the 'undefined method...Click here for more details' message.

Version-Release number of selected component (if applicable):
katello-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install latest CloudForms System Engine build.
2. Log in CFSE.
3. Click the Content->Subscriptions->Red Hat Subscriptioins application subtab.
4. Click on the 'Search...' field and select an item from the list(ex. name:)
5. But do not input any name and click Search icon button.
  
Actual results:
Upexpected code is displayed in the 'undefined method...Click here for more details' message.

Expected results:
Should not to be displayed the '[]:Array()' code in the message.

Additional info:
Comment 1 Lijun Li 2012-09-22 07:08:32 EDT
'undefined method `total' for []:Array (NoMethodError)
Click here for more details.'
Also please refer to the attached screenshot.
Comment 2 Lijun Li 2012-09-22 07:09:51 EDT
Created attachment 615754 [details]
Upexpected code is displayed in the 'undefined method...Click here for more details' message
Comment 4 David Davis 2012-09-26 13:48:58 EDT
https://github.com/Katello/katello/pull/755

Katello SHA: 

c469faf0c8c76a50542f69368af8f1354b764605
Comment 7 Ajmal Ali 2012-10-16 17:16:50 EDT
*** Bug 867140 has been marked as a duplicate of this bug. ***
Comment 9 Corey Welton 2012-10-17 06:16:26 EDT
QE Verified - doing a 'search' with nothing attached to the qualifier no longer causes an error

CloudForms System Engine Version: 1.1.12-16.el6cf
Comment 12 errata-xmlrpc 2012-12-04 14:56:20 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html
Comment 13 Mike McCune 2013-08-16 14:09:42 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.